% Maillage
N=100;
x=linspace(0,1,N+2);
y=linspace(1,0,N+2);
[X,Y]=meshgrid(x,y);
h=x(2)-x(1);

% Données physiques
f= @(x,y) 2*sin(x).*sin(y);
g1= @(x) zeros(size(x));
g3= @(x) sin(1)*sin(x);
g4= @(y) zeros(size(y));
g2= @(y) sin(1)*sin(y);
alpha=0;

% Resolution du probleme
A=mat_lap2d(alpha,N,N,h);
G1=g1(x);
G3=g3(x);
G4=g4(y');
G2=g2(y');
U=lap2d(A,f,G1,G2,G3,G4,X,Y,h);

surf(X,Y,U)